## WebKitDOMUIEvent WebKitDOMUIEvent |

## Functions

void | webkit_dom_ui_event_init_ui_event ()
WebKitDOMDOMWindow * | webkit_dom_ui_event_get_view ()
glong | webkit_dom_ui_event_get_detail ()
glong | webkit_dom_ui_event_get_key_code ()
glong | webkit_dom_ui_event_get_char_code ()
glong | webkit_dom_ui_event_get_layer_x ()
glong | webkit_dom_ui_event_get_layer_y ()
glong | webkit_dom_ui_event_get_page_x ()
glong | webkit_dom_ui_event_get_page_y ()
glong | webkit_dom_ui_event_get_which ()

## Properties

glong | char-code | Read
glong | detail | Read
glong | key-code | Read
glong | layer-x | Read
glong | layer-y | Read
glong | page-x | Read
glong | page-y | Read
WebKitDOMDOMWindow * | view | Read
glong | which | Read

## Types and Values

| WebKitDOMUIEvent

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMEvent
                ╰── WebKitDOMUIEvent
                    ├── WebKitDOMKeyboardEvent
                    ╰── WebKitDOMMouseEvent

## Description

## Functions

### webkit_dom_ui_event_init_ui_event ()

    void
    webkit_dom_ui_event_init_ui_event (WebKitDOMUIEvent *self,
                                       const gchar *type,
                                       gboolean canBubble,
                                       gboolean cancelable,
                                       WebKitDOMDOMWindow *view,
                                       glong detail);

#### Parameters

self | A WebKitDOMUIEvent |
type | A gchar |
canBubble | A gboolean |
cancelable | A gboolean |
view | A WebKitDOMDOMWindow |
detail | A glong |

### webkit_dom_ui_event_get_view ()

    WebKitDOMDOMWindow *
    webkit_dom_ui_event_get_view (WebKitDOMUIEvent *self);

#### Parameters

self | A WebKitDOMUIEvent |

#### Returns

A WebKitDOMDOMWindow.

[transfer none]

### webkit_dom_ui_event_get_detail ()

    glong
    webkit_dom_ui_event_get_detail (WebKitDOMUIEvent *self);

#### Parameters

self | A WebKitDOMUIEvent |

#### Returns

A glong

### webkit_dom_ui_event_get_key_code ()

    glong
    webkit_dom_ui_event_get_key_code (WebKitDOMUIEvent *self);

#### Parameters

self | A WebKitDOMUIEvent |

#### Returns

A glong

### webkit_dom_ui_event_get_char_code ()

    glong
    webkit_dom_ui_event_get_char_code (WebKitDOMUIEvent *self);

#### Parameters

self | A WebKitDOMUIEvent |

#### Returns

A glong

### webkit_dom_ui_event_get_layer_x ()

    glong
    webkit_dom_ui_event_get_layer_x (WebKitDOMUIEvent *self);

#### Parameters

self | A WebKitDOMUIEvent |

#### Returns

A glong

### webkit_dom_ui_event_get_layer_y ()

    glong
    webkit_dom_ui_event_get_layer_y (WebKitDOMUIEvent *self);

#### Parameters

self | A WebKitDOMUIEvent |

#### Returns

A glong

### webkit_dom_ui_event_get_page_x ()

    glong
    webkit_dom_ui_event_get_page_x (WebKitDOMUIEvent *self);

#### Parameters

self | A WebKitDOMUIEvent |

#### Returns

A glong

### webkit_dom_ui_event_get_page_y ()

    glong
    webkit_dom_ui_event_get_page_y (WebKitDOMUIEvent *self);

#### Parameters

self | A WebKitDOMUIEvent |

#### Returns

A glong

### webkit_dom_ui_event_get_which ()

    glong
    webkit_dom_ui_event_get_which (WebKitDOMUIEvent *self);

#### Parameters

self | A WebKitDOMUIEvent |

#### Returns

A glong

## Types and Values

### WebKitDOMUIEvent

    typedef struct _WebKitDOMUIEvent WebKitDOMUIEvent;

## Property Details

### The `“char-code”` property

      “char-code”                glong

read-only glong UIEvent:char-code.

Flags: Read

Default value: 0

### The `“detail”` property

      “detail”                   glong

read-only glong UIEvent:detail.

Flags: Read

Default value: 0

### The `“key-code”` property

      “key-code”                 glong

read-only glong UIEvent:key-code.

Flags: Read

Default value: 0

### The `“layer-x”` property

      “layer-x”                  glong

read-only glong UIEvent:layer-x.

Flags: Read

Default value: 0

### The `“layer-y”` property

      “layer-y”                  glong

read-only glong UIEvent:layer-y.

Flags: Read

Default value: 0

### The `“page-x”` property

      “page-x”                   glong

read-only glong UIEvent:page-x.

Flags: Read

Default value: 0

### The `“page-y”` property

      “page-y”                   glong

read-only glong UIEvent:page-y.

Flags: Read

Default value: 0

### The `“view”` property

      “view”                     WebKitDOMDOMWindow *

read-only WebKitDOMDOMWindow* UIEvent:view.

Flags: Read

### The `“which”` property

      “which”                    glong

read-only glong UIEvent:which.

Flags: Read

Default value: 0